Subject: [AVT] I-D ACTION:draft-ietf-avt-rtp-atrac-family-08.txt

From: [email-masked]
Date: Tue, 05 Jun 2007 15:50:02 -0400

A New Internet-Draft is available from the on-line Internet-Drafts 
directories.
This draft is a work item of the Audio/Video Transport Working Group of the IETF.

	Title		: RTP Payload Format for Adaptive TRansform Acoustic Coding (ATRAC) Family
	Author(s)	: M. Romaine, J. Matsumoto
	Filename	: draft-ietf-avt-rtp-atrac-family-08.txt
	Pages		: 24
	Date		: 2007-6-5
	
This document describes an RTP payload format for efficient and
   flexible transporting of audio data encoded with the Adaptive
   TRansform Audio Coding (ATRAC) family of codecs.  Recent enhancements
   to the ATRAC family of codecs support high quality audio coding with
   multiple channels.  The RTP payload format as presented in this
   document also includes support for data fragmentation, elementary
   redundancy measures, and a variation on scalable streaming.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-avt-rtp-atrac-family-08.txt

To remove yourself from the I-D Announcement list, send a message to 
[email-masked] with the word unsubscribe in the body of 
the message. 
You can also visit https://www1.ietf.org/mailman/listinfo/I-D-announce 
to change your subscription settings.

Internet-Drafts are also available by anonymous FTP. Login with the 
username "anonymous" and a password of your e-mail address. After 
logging in, type "cd internet-drafts" and then 
"get draft-ietf-avt-rtp-atrac-family-08.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-ietf-avt-rtp-atrac-family-08.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.
_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt

---

From: Mitsuyuki Hatanaka <[email-masked]>
Date: Wed, 06 Jun 2007 17:45:20 +0900

Dear AVT member,

We have submitted our revised internet draft as "draft-ietf-avt-rtp-atracx-family-08.txt".
You will be able to get it from the on-line Internet-Drafts directories.

In this draft we modified the draft based on the issue that Mr.Perkins pointed out 
(refer to: http://www1.ietf.org/mail-archive/web/avt/current/msg06933.html).
In addition, we changed some items regarding on SDP usage and definition.

The revised points are:
(1) expanded the acronym "ATRAC" to "Adaptive TRansform Acoustic Coding" in title.
(2) moved the sentense in Section 1 which describes about codec details to Section 3.
(3) moved the sentense in Section 4.5 which decsribes about global structure of ATRAC payload 
 to Section 5.1, and re-ordering the section number.
(4) appended more precise description about the parameter in RTP header.
(5) removed the description about "FrameOffset" because it is not used in current
 version of this draft.
(6) corrected the referenced figure number in section 5.2.3.1.
(7) modified the Figure 7 and added the Figure 8 to explain the redundant data structure.
(8) changed the referenced document number from RFC 2327 to RFC 4566 in section 7.
(9) changed the term from "unspecified" to "unknown" in section 7.1 to 7.3.
(10) added the unit of "kbps" for bit-rate parameter in section 7.1 to 7.3.
(11) changed the explanation of ptime and  maxptime in section 7.1 to 7.3.
(12) corrected the referenced figure number for ChannelID in section 7.2 and 7.3.
(13) changed the explanation about "baseLayer" in Section 7.3.
(14) changed the definition of "blockLength" of SDP in section 7.3 and 7.5.3, and 
 offer/answer example description for lossless codec in section 7.9 .
(15) corrected the number of media types from "two" to "three" in section 8.
 
Best Regards,
Mitsuyuki Hatanaka

---

From: Colin Perkins <[email-masked]>
Date: Sun, 17 Jun 2007 18:08:46 +0100

> In addition, we changed some items regarding on SDP usage and  

Thanks for submitting this update; it looks to have addressed most of  
the issues with the previous draft. There are, however, a number of  
problems remaining:

- Figures 4, 5, and 6 don't seem to be referenced from the text. You  
need to explicitly refer to the figure, by number, in the  
introduction to the appropriate section.

- Section 5.2: it's not appropriate for a payload format to prohibit  
the use of RTP padding or header extensions. The draft should  
indicate that padding is support according to RFC 3550, and header  
extensions can be used according to the rules defined by the relevant  
RTP profile (e.g. RFC 3551).

- Section 5.2: the interpretation of the marker bit needs to be  
specified. The usual rules for video are that the market bit is set  
to one of the last packet of a frame, and set to zero in all other  
packets.

In addition, the automated checker (http://tools.ietf.org/tools/ 
idnits/) finds a number of problems with the draft. We cannot submit  
drafts to the IESG for publication unless they pass the checker, so  
please correct these issues also.
http://tools.ietf.org/wg/avt/draft-ietf-avt-rtp-atrac-family/draft- 
ietf-avt-rtp-atrac-family-08.nits.txt

Regards,
-- 
Colin Perkins
http://csperkins.org/